%define upstream_name    Test-CheckManifest
%define upstream_version 1.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check if your Manifest matches your distro
License:    Artistic 2.0
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildArch:  noarch

%description
'Test::CheckManifest'

EXPORT
    There is only one method exported: 'ok_manifest'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

# Failing due to RPM stuff.
# %%check
# %%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.290.0-3.mga6
+ Revision: 1034140
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.290.0-2.mga6
+ Revision: 966345
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.290.0-1.mga6
+ Revision: 843661
- update to 1.29

* Wed Oct 15 2014 umeabot <umeabot> 1.280.0-3.mga5
+ Revision: 749924
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.280.0-2.mga5
+ Revision: 686407
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 1.280.0-1.mga5
+ Revision: 617861
- update to 1.28

* Thu Feb 20 2014 shlomif <shlomif> 1.260.0-2.mga5
+ Revision: 595074
- New rel to satisfy the build system
- Move under current which is the correct place.


* Thu Jan 16 2014 cpan2dist 1.26-1mga
- initial mageia release, generated with cpan2dist
